/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.UrlShortenerApi) {
      root.UrlShortenerApi = {};
    }
    root.UrlShortenerApi.HookActionMail = factory(root.UrlShortenerApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The HookActionMail model module.
   * @module model/HookActionMail
   * @version 0.2.0
   */

  /**
   * Constructs a new <code>HookActionMail</code>.
   * @alias module:model/HookActionMail
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>HookActionMail</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/HookActionMail} obj Optional instance to populate.
   * @return {module:model/HookActionMail} The populated <code>HookActionMail</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('destinations'))
        obj.destinations = ApiClient.convertToType(data['destinations'], ['String']);
      if (data.hasOwnProperty('subject'))
        obj.subject = ApiClient.convertToType(data['subject'], 'String');
      if (data.hasOwnProperty('text'))
        obj.text = ApiClient.convertToType(data['text'], 'String');
    }
    return obj;
  }

  /**
   * @member {Array.<String>} destinations
   */
  exports.prototype.destinations = undefined;

  /**
   * @member {String} subject
   */
  exports.prototype.subject = undefined;

  /**
   * @member {String} text
   */
  exports.prototype.text = undefined;

  return exports;

}));
